Set IAM policy
Replaces the IAM policy of an agent, as its owner shares it with members of the organization, such as with roles/agents.agentViewer or roles/agents.agentWriter.
PUT
Replaces the IAM policy of an agent, as its owner shares it with members of the organization, such as with roles/agents.agentViewer or roles/agents.agentWriter.
bearerheader
AuthorizationBearer <token>An access token, or an API key.
project*stringThe project's ID.
Match
^prj_[0-7][0-9a-hjkmnp-tv-z]{25}$agent*stringThe agent's ID.
Match
^ags_[0-7][0-9a-hjkmnp-tv-z]{25}$application/json- body
bindings*array<>Role bindings. Each role appears at most once.
etag?stringThe etag of the policy this one replaces, as getting it returned. Without one, the policy is replaced whatever it is.
OK
application/json- response
bindings*array<>Role bindings. Each role appears at most once.
etag*stringOpaque version of the policy. Send it back when setting the policy; the update fails with aborted if the policy changed in between.
curl -X PUT 'https://api.kosem.ai/v1/projects/string/agents/string/iam-policy' \
-H 'Content-Type: application/json' \
-d '{
"bindings": [
{
"members": [
"string"
],
"role": "string"
}
]
}'Example Response
{
"bindings": [
{
"members": [
"string"
],
"role": "string"
}
],
"etag": "string"
}